Loading...
Searching...
No Matches
casacore::ImageFITSHeaderInfo Struct Reference
images package (libcasa_images) » Images_module

More...

`#include <ImageFITSConverter.h>`

## Public Attributes

Bool | applyMask
Bool | needNonOptimalCursor
Bool | hasBlanks
Double | bzero
Double | bscale
Short | minshort
Short | maxshort
double | minPix
double | maxPix
IPosition | newShape
IPosition | cursorOrder
FitsKeywordList | kw
std::shared_ptr< Array< Bool > > | pMask

## Detailed Description

Struct holding information derived from the image and its header

### Synopsis

This is a helper struct to pass information from ImageHeaderToFITS to ImageToFITSOut.

Definition at line 66 of file ImageFITSConverter.h.

## Member Data Documentation

## applyMask

Bool casacore::ImageFITSHeaderInfo::applyMask

Definition at line 67 of file ImageFITSConverter.h.

## bscale

Double casacore::ImageFITSHeaderInfo::bscale

Definition at line 71 of file ImageFITSConverter.h.

## bzero

Double casacore::ImageFITSHeaderInfo::bzero

Definition at line 70 of file ImageFITSConverter.h.

## cursorOrder

IPosition casacore::ImageFITSHeaderInfo::cursorOrder

Definition at line 77 of file ImageFITSConverter.h.

## hasBlanks

Bool casacore::ImageFITSHeaderInfo::hasBlanks

Definition at line 69 of file ImageFITSConverter.h.

## kw

FitsKeywordList casacore::ImageFITSHeaderInfo::kw

Definition at line 78 of file ImageFITSConverter.h.

## maxPix

double casacore::ImageFITSHeaderInfo::maxPix

Definition at line 75 of file ImageFITSConverter.h.

## maxshort

Short casacore::ImageFITSHeaderInfo::maxshort

Definition at line 73 of file ImageFITSConverter.h.

## minPix

double casacore::ImageFITSHeaderInfo::minPix

Definition at line 74 of file ImageFITSConverter.h.

## minshort

Short casacore::ImageFITSHeaderInfo::minshort

Definition at line 72 of file ImageFITSConverter.h.

## needNonOptimalCursor

Bool casacore::ImageFITSHeaderInfo::needNonOptimalCursor

Definition at line 68 of file ImageFITSConverter.h.

## newShape

IPosition casacore::ImageFITSHeaderInfo::newShape

Definition at line 76 of file ImageFITSConverter.h.

## pMask

std::shared_ptr<Array<Bool> > casacore::ImageFITSHeaderInfo::pMask

Definition at line 79 of file ImageFITSConverter.h.

The documentation for this struct was generated from the following file:

- images/Images/ImageFITSConverter.h